# std::queue::pop

From cppreference.com
< cpp‎ | container‎ | queue

void pop(); |  |

Removes an element from the front of the queue. Effectively calls c.pop_front()

### Parameters

(none)

### Return value

(none)

### Complexity

Equal to the complexity of Container::pop_front.

### See also

emplace (C++11) | constructs element in-place at the end (public member function)
push | inserts element at the end (public member function)
front | access the first element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/queue/pop&oldid=50636"